package com.seeyon.apps.esign.po.esignapi;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.io.Serializable;

@JsonIgnoreProperties(ignoreUnknown = true)
public class EsignCallbackParams implements Serializable {

    private String signFlowId;
    private String action;
    private String resultDescription; //签署结果描述
    private Integer signResult; //签署结果
    private Integer signFlowStatus; //签署流程状态
    private Integer signOrder; //签署顺序


    public String getSignFlowId() {
        return signFlowId;
    }

    public void setSignFlowId(String signFlowId) {
        this.signFlowId = signFlowId;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getResultDescription() {
        return resultDescription;
    }

    public void setResultDescription(String resultDescription) {
        this.resultDescription = resultDescription;
    }

    public Integer getSignResult() {
        return signResult;
    }

    public void setSignResult(Integer signResult) {
        this.signResult = signResult;
    }

    public Integer getSignFlowStatus() {
        return signFlowStatus;
    }

    public void setSignFlowStatus(Integer signFlowStatus) {
        this.signFlowStatus = signFlowStatus;
    }

    public Integer getSignOrder() {
        return signOrder;
    }

    public void setSignOrder(Integer signOrder) {
        this.signOrder = signOrder;
    }
}
